

def migrate(cr, version):
    # Add company name as mandatory on all events and event types
    cr.execute(
        """
        INSERT INTO event_question(
            event_id, sequence, create_uid, write_uid, question_type, title,
            once_per_order, is_mandatory_answer, create_date, write_date)
        SELECT
            e.id, 0, e.create_uid, e.write_uid, v.type, jsonb_build_object('en_US', initcap(v.name)),
            False, v.mandatory, NOW(), NOW()
        FROM event_event e
        JOIN (values ('company_name', 'Company', True)) as v(type, name, mandatory) on true
    """
    )

    cr.execute(
        """
        INSERT INTO event_question(
            event_type_id, sequence, create_uid, write_uid, question_type, title,
            once_per_order, is_mandatory_answer, create_date, write_date)
        SELECT
            e.id, 0, e.create_uid, e.write_uid, v.type, jsonb_build_object('en_US', initcap(v.name)),
            False, v.mandatory, NOW(), NOW()
        FROM event_type e
        JOIN (values ('company_name', 'Company', True)) as v(type, name, mandatory) on true
    """
    )

    # for "Internal" events: set company name as optional
    cr.execute(
        """
        UPDATE event_question q
            SET is_mandatory_answer = False
            WHERE (q.event_type_id = 20
                OR q.event_id in (SELECT id FROM event_event WHERE event_type_id = 20))
            AND q.question_type = 'company_name'
    """
    )

    # for odoo job day 2017 (id: 1034), change company_name title to "University"
    cr.execute(
        """
        UPDATE event_question
           SET title = jsonb_build_object('en_US', 'University')
         WHERE event_id = 1034 AND question_type = 'company_name'
    """
    )

    # for some roadshow: set phone as mandatory
    roadshow_ids = [
        453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 464, 465,
        555, 556, 557, 563, 558, 559, 560, 561, 562
    ]
    cr.execute(
        """
            UPDATE event_question
               SET is_mandatory_answer = True
             WHERE question_type = 'phone'
               AND event_id IN %s
        """,
        (tuple(roadshow_ids),)
    )
